%define _requires_exceptions pkgconfig\(.*\)

Summary: GNOME On-screen Keyboard 
Name: gok
Version: 1.2.3
Release: %mkrel 2
License: LGPL
Group: Accessibility
URL: http://www.gok.ca/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 0.11.12-1mdk use www-browser as web browser (Fedora)
Patch0:	gok-0.10.2-launcher.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	XFree86-devel
BuildRequires:	at-spi-devel >= 1.5.0
BuildRequires:	gtk-doc
BuildRequires:	libgnomeui2-devel
BuildRequires:	libwnck-devel >= 2.13
BuildRequires:	libusb-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	scrollkeeper
BuildRequires:  XFree86-static-devel
BuildRequires:	libgnomespeech-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	desktop-file-utils
Requires: scrollkeeper
Requires: %{_lib}gail-gnome
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description 
The GNOME On-screen Keyboard (GOK) is a dynamic on-screen keyboard for
UNIX and UNIX-like operating systems.  It features Direct Selection,
Dwell Selection, Automatic Scanning and Inverse Scanning access
methods and includes word completion.

%prep
%setup -q
%patch0 -p1 -b .launcher

%build

%configure2_5x --enable-gtk-doc --enable-libusb-input

#parallel build is broken
make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name} --with-gnome

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
	needs="X11" \
	section="More Applications/Accessibility" \
	title="On-Screen Keyboard" \
	longtitle="GNOME Onscreen Keyboard" \
	command="%{_bindir}/gok" \
	icon="gok.png" \
	startup_notify="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Utility" \
  --add-category="Accessibility" \
  --add-category="X-MandrivaLinux-MoreApplications-Accessibility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


#remove unpackaged files
rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

%post
%update_scrollkeeper
%post_install_gconf_schemas gok
%{update_menus}

%preun
%preun_uninstall_gconf_schemas gok

%postun
%clean_scrollkeeper
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/*
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*
%{_datadir}/gok
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf
%{_libdir}/pkgconfig/*
%{_menudir}/*
%{_datadir}/pixmaps/gok.png


%changelog
* Thu Mar 08 2007 Frederic Crozat <fcrozat@mandriva.com> 1.2.3-2mdv2007.1
+ Revision: 137649
- Prevent pkgconfig auto dependencies

* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 1.2.3-1mdv2007.1
+ Revision: 127278
- new version
- unpack patch

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdv2007.1
+ Revision: 126212
- new version

* Sat Jan 20 2007 Götz Waschk <waschk@mandriva.org> 1.2.1-2mdv2007.1
+ Revision: 110996
- really enable usb

* Sat Jan 20 2007 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdv2007.1
+ Revision: 110995
- new version
- enable libusb support

* Fri Dec 29 2006 Frederic Crozat <fcrozat@mandriva.com> 1.2.0-2mdv2007.1
+ Revision: 102494
- Fix libgail-gnome dependency for biarch
- Import gok



* Fri Aug 25 2006 Götz Waschk <waschk@mandriva.org> 1.2.0-1mdv2007.0
- New release 1.2.0

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.1-5mdv2007.0
- Rebuild with latest dbus

* Tue Jul 18 2006 Götz Waschk <waschk@mandriva.org> 1.1.1-3mdv2007.1
- rebuild for new gail

* Sat Jul 15 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.1-3mdv2007.0
- Fix XDG menu

* Thu Jul 13 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.1-2mdv2007.0
- Rebuild with latest libgail

* Thu Jul 13 2006 Gtz Waschk <waschk@mandriva.org> 1.1.1-1mdv2007.0
- new macros
- xdg menu
- New release 1.1.1

* Mon May 15 2006 Götz Waschk <waschk@mandriva.org> 1.0.10-1mdk
- New release 1.0.10

* Wed Apr 26 2006 Götz Waschk <waschk@mandriva.org> 1.0.8-1mdk
- New release 1.0.8

* Tue Apr 18 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.7-1mdk
- Release 1.0.7

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.5-5mdk
- Add schema uninstallation

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.5-4mdk
- Use mkrel

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.5-3mdk
- Rebuild

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 1.0.5-2mdk
- rebuild for new libwnck

* Thu May 12 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-1mdk
- New release 1.0.5

* Tue May 03 2005 Frederic Crozat <fcrozat@mandriva.com> 1.0.4-1mdk 
- Release 1.0.4
- Fix buildrequires for x86-64

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.16-3mdk 
- Rebuild with latest howl

* Sun Nov 14 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.11.16-2mdk
- add BuildRequires: libgnomespeech-devel libglade2.0-devel

* Wed Nov 10 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.11.16-1mdk
- New release 0.11.16

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.11.12-1mdk
- New release 0.11.12
- Patch0 (Fedora): use www-browser as web browser

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.2-3mdk
- Fix menu

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.2-2mdk
- Fix BuildRequires

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.2-1mdk
- New release 0.10.2

* Wed Apr  7 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.0-1mdk
- New release 0.10.0
- Remove patch0 (merged upstream)

* Fri Mar 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-6mdk
- Enforce libgail-gnome dependency

* Mon Feb 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-5mdk
- Rebuild with new intltool to be able to quit gok

* Wed Jan 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-4mdk
- Fix menu again

* Thu Jan 22 2004 David Baudens <baudens@mandrakesoft.com> 0.9.3-3mdk
- Fix menu

* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 0.9.3-2mdk
- rebuild for new pkgconfig Requires
- BuildRequires

* Mon Nov 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-1mdk
- Release 0.9.3
- Patch0: fix install when using DESTDIR

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-1mdk
- Release 0.8.1

* Wed Aug 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.14-1mdk
- Release 0.7.14

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.13-2mdk
- BuildRequires

* Tue Aug 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.13-1mdk
- Release 0.7.13

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.11-1mdk
- Release 0.7.11

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.5-1mdk
- Release 0.7.5

* Tue Jun 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.4-1mdk
- Release 0.7.4

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.1-1mdk
- Release 0.7.1

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.0-2mdk
- Fix BuildRequires

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.0-1mdk
- First Mandrake package.
